# Contribute to the Cordova Mobile SDK
Contributions are welcome and much appreciated. Just follow these easy steps to contribute.

## Our Development Process
To continue improving the SDK, our development team will work on the same GitHub repos as you. The `develop branch` is used for development, and the `master branch` is used only for stable releases.
**Note:** For production environments, please use releases only from the master branch.

### Pull Requests
We welcome and encourage pull requests. When we get a pull request, it is peer reviewed and sent to QA for integration and smoke testing. Next, a core team member sign offs and performs the pull request merge. We'll provide updates and feedback throughout the process to keep you informed.

Follow these steps for pull requests:

1. Fork the repo and create your branch from `master`.
2. For any new code, add unit tests.
3. If you've changed APIs, update code comments in MASPlugin js file.
4. Verify that the test suite passes.
5. If you haven't already, complete the [Contributor License Agreement ("CLA")][cla].

### Contributor License Agreement ("CLA")
To accept pull requests, submit a CLA. (Submitting a single CLA lets you work on any open source projects from CA, Inc.)

Complete your CLA here: [Contributor License Agreement ("CLA")][cla]

## Bugs
We work hard to avoid them, but they still happen. If you're a CA customer, open an issue in our [Support Page][casupport], otherwise use GitHub issues.
To share ideas or ask product-related questions go to [CA Communities][community].

### Known Issues
We also use GitHub issues for updates to known issues, including alerts when fixes are in progress. 

### Reporting New Issues
Before filing a new issue, check Known Issues to see if your problem already exists. When reporting a new issue, provide as much detail as possible. The more information, the easier it is to debug and the faster you'll get a fix. 

**Tips:**

* A description. What did you expect to happen? What actually happened? Why do you think the behavior was incorrect?
* Provide debug output generated by the SDK.
* A simple unit test or app that fails.
* What version are you running when reproducing issue? What was the last version that the feature worked?
* Anything else that seems relevant. 

## License
By contributing to the Cordova Mobile SDK, you agree that your contributions will be licensed under its [license][license-link].


[community]: https://communities.ca.com/community/ca-api-management-community/content?filterID=contentstatus%5Bpublished%5D~category%5Bca-mobile-api-gateway%5D
[license-link]: /LICENSE
[cla]: https://www.clahub.com/agreements/CAAPIM/Cordova-MAS-Foundation
[casupport]: https://support.ca.com/irj/portal/implsvcnewcase